USE `vpsfmsac_inspeccionesmodaservice`;
DROP procedure IF EXISTS `mant_listar`;

USE `vpsfmsac_inspeccionesmodaservice`;
DROP procedure IF EXISTS `vpsfmsac_inspeccionesmodaservice`.`mant_listar`;
;

DELIMITER $$
USE `vpsfmsac_inspeccionesmodaservice`$$
CREATE DEFINER=`root`@`localhost` PROCEDURE `mant_listar`(IN `pMantenimiento_Id` INT(11), IN `pdFechaInicio` DATE, IN `pdFechaFin` DATE)
BEGIN
	SET pdFechaFin = DATE_ADD(pdFechaFin,INTERVAL 1 DAY);
	IF pMantenimiento_Id = 0 THEN
		
		SELECT
			m.Mantenimiento_Id,
			m.nManEquipo_Id,
			m.nManTecnico_Id,
            m.sManOdometroAnterior,
			m.sManMantAnterior,
			m.sManOdometroActual,
			m.sManMantActual,
			m.sManFirmaTecnico,
			m.sManFirmaCliente,
			DATE_FORMAT(m.dManFecha_Act, '%d-%m-%Y') as dManFecha_Act,
			m.nManUsuario_Id,
			m.nManEstado,
            m.nManPlantilla_Id,
			m.nManEliminado,
            e.sEqActivoFijo,
            e.sEqSerie,
            e.sEqModelo,
            m.nProgramacion_Id,
            CASE e.nEqTipo
				WHEN 1 THEN 'GE'
				WHEN 2 THEN 'Torre'
				WHEN 3 THEN 'Compresor'
                WHEN 4 THEN 'Rodillo compactador'
				ELSE ''
			END as Tipo,
            u.sUsuNombre
        FROM mantenimiento m
        INNER JOIN equipos e ON m.nManEquipo_Id = e.Equipo_Id
        INNER JOIN usuarios u ON m.nManTecnico_Id = u.nUsuId
		WHERE m.nManEliminado = 0
			AND m.dManFecha_Act >= pdFechaInicio
            AND m.dManFecha_Act < pdFechaFin
		ORDER BY m.Mantenimiento_Id
        ;
    ELSE
		SELECT
			m.Mantenimiento_Id,
			m.nManEquipo_Id,
			m.nManTecnico_Id,
            m.sManOdometroAnterior,
			m.sManMantAnterior,
			m.sManOdometroActual,
			m.sManMantActual,
			m.sManFirmaTecnico,
			m.sManFirmaCliente,
			DATE_FORMAT(m.dManFecha_Act, '%d-%m-%Y') as dManFecha_Act,
			m.nManUsuario_Id,
			m.nManEstado,
            m.nManPlantilla_Id,
			m.nManEliminado,
            e.sEqActivoFijo,
            e.sEqSerie,
            e.sEqModelo,
            m.nProgramacion_Id,
            CASE e.nEqTipo
				WHEN 1 THEN 'GE'
				WHEN 2 THEN 'Torre'
				WHEN 3 THEN 'Compresor'
                WHEN 4 THEN 'Rodillo compactador'
				ELSE ''
			END as Tipo,
            u.sUsuNombre
        FROM mantenimiento m
        INNER JOIN equipos e ON m.nManEquipo_Id = e.Equipo_Id
        INNER JOIN usuarios u ON m.nManTecnico_Id = u.nUsuId
		WHERE m.nManEliminado = 0 AND m.Mantenimiento_Id = pMantenimiento_Id;
    END IF;
END$$

DELIMITER ;
;