<?php

class ProtocolosModel {

    private $pdo;

    public function __CONSTRUCT() {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar() {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL protoc_listarC(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);
                
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function EliminarProtocolo($Inspeccion_Id){
        try {
            $stm = $this->pdo->prepare("CALL protoc_ocultar('$Inspeccion_Id')");
            $stm->execute();
        } catch (Exception $e) {
            echo die($e->getMessage());
        }        
    }

    // public function ListarProtocolo($Inspeccion_Id) {
    //     try {
    //         $result = array();
    //         $stm = $this->pdo->prepare("CALL protoc_listarC($Inspeccion_Id)");
    //         $stm->execute();

    //         foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
    //             $ins = new protocolos();
    //             $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
    //             $ins->__SET('sSupervisor', $r->sSupervisor);
    //             $ins->__SET('sBancoNro', $r->sBancoNro);
    //             $ins->__SET('sSerieNro', $r->sSerieNro);
    //             $ins->__SET('sTipoMotor', $r->sTipoMotor);
    //             $ins->__SET('sOperador', $r->sOperador);
    //             $ins->__SET('sLP', $r->sLP);
    //             $ins->__SET('sFecha', $r->sFecha);
    //             $ins->__SET('sPreBarObs', $r->sPreBarObs);
    //             $ins->__SET('sBHumedo', $r->sBHumedo);
    //             $ins->__SET('sBSeco', $r->sBSeco);
    //             $ins->__SET('sHumedad', $r->sHumedad);
    //             $ins->__SET('sPreBarCal', $r->sPreBarCal);
    //             $ins->__SET('sProgPrueba', $r->sProgPrueba);
    //             $ins->__SET('sTiemAcumulado', $r->sTiemAcumulado);
    //             $ins->__SET('sPruEspecial', $r->sPruEspecial);
    //             $ins->__SET('nProtocEliminado', $r->nProtocEliminado);
                
    //             $result[] = $ins;
    //         }
    //         return $result;
    //     } catch (Exception $e) {
    //         echo die($e->getMessage());
    //     }
    // }


    public function ListarProtocolo($Inspeccion_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL protoc_listarC('$Inspeccion_Id')");
            $stm->execute();
                foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                $pro = array(
                'Inspeccion_Id' => $r->Inspeccion_Id
                ,'sSupervisor' => $r->sSupervisor
                ,'sBancoNro' => $r->sBancoNro
                ,'sSerieNro' => $r->sSerieNro
                ,'sTipoMotor' => $r->sTipoMotor
                ,'sOperador' => $r->sOperador
                ,'sLP' => $r->sLP
                ,'sFecha' => $r->sFecha
                ,'sPreBarObs' => $r->sPreBarObs
                ,'sBHumedo' => $r->sBHumedo
                ,'sBSeco' => $r->sBSeco
                ,'sHumedad' => $r->sHumedad
                ,'sPreBarCal' => $r->sPreBarCal
                ,'sProgPrueba' => $r->sProgPrueba
                ,'sTiemAcumulado' => $r->sTiemAcumulado
                ,'sPruEspecial' => $r->sPruEspecial
                ,'nProtocEliminado' => $r->nProtocEliminado

               );
               $result[] = $pro;
           }
           return $result;
       } catch (Exception $e) {
           echo die($e->getMessage());
       }
    }

    public function ListarDetalle1($Inspeccion_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL protoc_listardetalle1('$Inspeccion_Id')");
            $stm->execute();
                foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                    $pro = array(
                'Pro_Det_Id' => $r->Pro_Det_Id
                ,'Inspeccion_Id' => $r->Inspeccion_Id
                ,'sHora' => $r->sHora
                ,'sVelrpm' => $r->sVelrpm
                ,'sVelrps' => $r->sVelrps
                ,'sDR' => $r->sDR
                ,'sAceTemp' => $r->sAceTemp
                ,'sAcePresion' => $r->sAcePresion
                ,'sCombConsumo' => $r->sCombConsumo
                ,'sComTemp' => $r->sComTemp
                ,'sAdmPresion' => $r->sAdmPresion
                ,'sAdmTemp' => $r->sAdmTemp
                ,'sEscTemp' => $r->sEscTemp
                ,'sEscHumo' => $r->sEscHumo
                ,'sTempAguaEntrada' => $r->sTempAguaEntrada
                ,'sTempAguaSalida' => $r->sTempAguaSalida
                ,'sTorque' => $r->sTorque
                ,'sPotencia' => $r->sPotencia
                ,'sObservaciones' => $r->sObservaciones

               );
               $result[] = $pro;
           }
           return $result;
       } catch (Exception $e) {
           echo die($e->getMessage());
       }
    }


    public function listardetalle2($Inspeccion_Id){
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL protoc_listardetalle2('$Inspeccion_Id')");
            $stm->execute();
                foreach($stm->fetchAll(PDO::FETCH_OBJ) as $r){
                    $pro = array(
                'Inspeccion_Id' => $r->Inspeccion_Id
                ,'sMinVelrpm' => $r->sMinVelrpm
                ,'sMinVelPresion' => $r->sMinVelPresion
                ,'sMinVelTemp' => $r->sMinVelTemp
                ,'sMaxVelrpm' => $r->sMaxVelrpm
                ,'sMaxVelPresion' => $r->sMaxVelPresion
                ,'sMaxVelTemp' => $r->sMaxVelTemp
                ,'sBomTipo' => $r->sBomTipo
                ,'sBomNroSerie' => $r->sBomNroSerie
                ,'sInyNro' => $r->sInyNro
                ,'sInyCodigo' => $r->sInyCodigo
                ,'sTurboTipo' => $r->sTurboTipo
                ,'sTurboNroSerie' => $r->sTurboNroSerie

               );
               $result[] = $pro;
           }
           return $result;
       } catch (Exception $e) {
           echo die($e->getMessage());
       }
    }


    public function ListarProtocolosCliente($Cliente_Codigo) {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL protoc_listarCli('$Cliente_Codigo',0)");
            $stm->execute();
            
            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $ins = new Inspecciones();
                $ins->__SET('Inspeccion_Id', $r->Inspeccion_Id);
                $ins->__SET('sInsCliente', $r->sInsCliente);
                $ins->__SET('sInsCodCliente', $r->sInsCodCliente);
                $ins->__SET('sInsCodEquipo', $r->sInsCodEquipo);
                $ins->__SET('sInsProducto', $r->sInsProducto);
                $ins->__SET('sInsServicio', $r->sInsServicio);
                $ins->__SET('sInsSerie', $r->sInsSerie);
                $ins->__SET('sInsMarca', $r->sInsMarca);
                $ins->__SET('sInsKW', $r->sInsKW);
                $ins->__SET('sInsHorometro', $r->sInsHorometro);
                $ins->__SET('sInsMotorMarca', $r->sInsMotorMarca);
                $ins->__SET('sInsMotorSerie', $r->sInsMotorSerie);
                $ins->__SET('sInsMotorListaPartes', $r->sInsMotorListaPartes);
                $ins->__SET('sInsAlternadorSerie', $r->sInsAlternadorSerie);
                $ins->__SET('sInsAlternadorKW', $r->sInsAlternadorKW);
                $ins->__SET('dInsFecha', $r->dInsFecha);
                $ins->__SET('dInsHoraInicio', $r->dInsHoraInicio);
                $ins->__SET('dInsHoraTermino', $r->dInsHoraTermino);
                $ins->__SET('sInsTecnicoResponsable', $r->sInsTecnicoResponsable);
                $ins->__SET('sInsFoto', $r->sInsFoto);
                $ins->__SET('nInsEstado', $r->nInsEstado);
                $ins->__SET('nInsEliminado', $r->nInsEliminado);
                $ins->__SET('dInsFecha_Act', $r->dInsFecha_Act);
                $ins->__SET('nInsUsuario_Id', $r->nInsUsuario_Id);

                $ins->__SET('Direccion', $r->Direccion);
                $ins->__SET('sDistrito', $r->sDistrito);
                $ins->__SET('sSedeProyecto', $r->sSedeProyecto);
                $ins->__SET('sNombreContacto', $r->sNombreContacto);
                $ins->__SET('sTelefonoContacto', $r->sTelefonoContacto);
                
                $result[] = $ins;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }



}

 






