<?php

class ModeloModel
{

    private $pdo;

    public function __CONSTRUCT()
    {
        try {
            require_once 'model/database.php';
            $this->pdo = DataBase::ObtenerConexion();
            $this->pdo->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Listar()
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL modelo_listar(0)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $mod = new Modelo();
                $mod->__SET('modelo_id', $r->modelo_id);
                $mod->__SET('nModTipo_id', $r->nModTipo_id);
                $mod->__SET('sModDescripcion', $r->sModDescripcion);
                $mod->__SET('sModMarca', $r->sModMarca);
                $mod->__SET('sModModelo', $r->sModModelo);
                $mod->__SET('sModMarcaMotor', $r->sModMarcaMotor);
                $mod->__SET('sModPotencia', $r->sModPotencia);
                $mod->__SET('sModAlternador', $r->sModAlternador);
                $mod->__SET('sModTipoGobernacion', $r->sModTipoGobernacion);
                $mod->__SET('sModTipoAspiracion', $r->sModTipoAspiracion);
                $mod->__SET('sModPrimeKVA', $r->sModPrimeKVA);
                $mod->__SET('sModStandbyKVA', $r->sModStandbyKVA);
                $mod->__SET('sModFoto', $r->sModFoto);
                $mod->__SET('nModEstado', $r->nModEstado);
                $mod->__SET('nModEliminado', $r->nModEliminado);
                $mod->__SET('dModFecha_Act', $r->dModFecha_Act);
                $mod->__SET('nModUsuario_Id', $r->nModUsuario_Id);
                $result[] = $mod;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Buscar($modelo_id)
    {
        try {
            $result = array();
            $stm = $this->pdo->prepare("CALL modelo_listar($modelo_id)");
            $stm->execute();

            foreach ($stm->fetchAll(PDO::FETCH_OBJ) as $r) {
                $mod = new Modelo();
                $mod->__SET('modelo_id', $r->modelo_id);
                $mod->__SET('nModTipo_id', $r->nModTipo_id);
                $mod->__SET('sModDescripcion', $r->sModDescripcion);
                $mod->__SET('sModMarca', $r->sModMarca);
                $mod->__SET('sModModelo', $r->sModModelo);
                $mod->__SET('sModMarcaMotor', $r->sModMarcaMotor);
                $mod->__SET('sModPotencia', $r->sModPotencia);
                $mod->__SET('sModAlternador', $r->sModAlternador);
                $mod->__SET('sModTipoGobernacion', $r->sModTipoGobernacion);
                $mod->__SET('sModTipoAspiracion', $r->sModTipoAspiracion);
                $mod->__SET('sModPrimeKVA', $r->sModPrimeKVA);
                $mod->__SET('sModStandbyKVA', $r->sModStandbyKVA);
                $mod->__SET('sModFoto', $r->sModFoto);
                $mod->__SET('nModEstado', $r->nModEstado);
                $mod->__SET('nModEliminado', $r->nModEliminado);
                $mod->__SET('dModFecha_Act', $r->dModFecha_Act);
                $mod->__SET('nModUsuario_Id', $r->nModUsuario_Id);
                $result[] = $mod;
            }
            return $result;
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

    public function Guardar(Modelo $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL modelo_crear(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('nModTipo_id'),
                $data->__get('sModDescripcion'),
                $data->__get('sModMarca'),
                $data->__get('sModModelo'),
                $data->__get('sModMarcaMotor'),
                $data->__get('sModPotencia'),
                $data->__get('sModAlternador'),
                $data->__get('sModTipoGobernacion'),
                $data->__get('sModTipoAspiracion'),
                $data->__get('sModPrimeKVA'),
                $data->__get('sModStandbyKVA'),
                $data->__get('sModFoto'),
                $data->__get('nModEstado'),
                $data->__get('nModEliminado'),
                $data->__get('nModUsuario_Id')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Informacion Guardada.</h4>
                    La informacion fue registrada satisfactoriamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Modelo&a=Index";</script>';
        } catch (Exception $e) {
            echo '<div class="alert alert-danger" role="alert">
                    <button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">&times;</span></button>
                    <strong>Error!</strong>,' . $e->getMessage() . '.
                  </div>';
        }
    }

    public function Editar(Modelo $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL modelo_editar(?,?,?,?,?,?,?,?,?,?,?,?,?,?,?,?)");
            $stm->execute(array(
                $data->__get('modelo_id'),
                $data->__get('nModTipo_id'),
                $data->__get('sModDescripcion'),
                $data->__get('sModMarca'),
                $data->__get('sModModelo'),
                $data->__get('sModMarcaMotor'),
                $data->__get('sModPotencia'),
                $data->__get('sModAlternador'),
                $data->__get('sModTipoGobernacion'),
                $data->__get('sModTipoAspiracion'),
                $data->__get('sModPrimeKVA'),
                $data->__get('sModStandbyKVA'),
                $data->__get('sModFoto'),
                $data->__get('nModEstado'),
                $data->__get('nModEliminado'),
                $data->__get('nModUsuario_Id')
            ));
            echo '<div class="alert alert-success alert-dismissable">
                    <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                    <h4>	<i class="icon fa fa-check"></i> Información Modificada.</h4>
                    La información fue modificada satisfactoriamente.
                  </div>';
            echo '<script type="text/javascript">window.location="?c=Modelo&a=Index";</script>';
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }


    public function Eliminar(Modelo $data)
    {
        try {
            $stm = $this->pdo->prepare("CALL modelo_eliminar(?)");
            $stm->execute(array($data->__get('modelo_id')));
        } catch (Exception $e) {
            echo die($e->getMessage());
        }
    }

}
