<?php
/**
 * HTML2PDF Librairy - example
 *
 * HTML => PDF convertor
 * distributed under the LGPL License
 *
 * @author      Laurent MINGUET <webmaster@html2pdf.fr>
 *
 * isset($_GET['vuehtml']) is not mandatory
 * it allow to display the result in the HTML format
 */
header('Content-type: text/html; charset=UTF-8');
ob_start();
?>
<style type="text/css">
    table.page_header {
        width: 93%; 
        border: none; 
        padding: 3mm 4mm;
        margin: 5px 2px 0px 23px;
    }
    table.page_header tr td {        
        border: 0.1mm solid #000; 
    }
    table.page_footer {width: 100%; border: none; border-top: solid 0.1mm #E6892F; padding: 3mm 4mm}
    .title{width: 100%; border: none; border-bottom: solid 0.1mm #E6892F; padding-bottom: 4mm;}
    h1 {color: #000033}
    h2 {color: #000055}
    h3 {color: #000077}
    h4 {
        margin: 0px;
    }

    div.niveau
    {
        padding-left: 5mm;
    }
    .table{
        width: 100%;
    }
    .table thead tr th,
    .table tr th{
        padding-bottom: 0px;
        padding-top: 0px;
        background: #efefef;
    }
    .table tbody tr td,
    .table tbody tr th{
        font-size: 11px;
        border: 0.1mm solid #000;
        margin: 0px;
        padding: 0px 0px;
    }
    hr{
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 5px;
        margin-top: 0px;
    }
    h5{
        margin: 0px;
        text-align: left;
    }
    p{
        margin: 0px;
        padding: 0px;
    }
    .no-border thead tr td,
    .no-border thead tr th,
    .no-border tbody tr td,
    .no-border tbody tr th{
        border: 0px solid black;
    }
    .text-center tbody tr td{
        text-align: center;
    }
    .text-center tbody tr td p,
    .text-center tbody tr th p{
        margin: auto;
        width: 100%;
        background: red;
        text-align: center !important;
    }
    td.active{
        background: #efefef;
        text-align: center;
    }
</style>

<page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
<bookmark title="Sommaire" level="0">
    <page_header>
        <table class="page_header" cellpadding="0" cellspacing="0">
            <tr>
                <td style="width: 20%; text-align: left" rowspan="2">
                    <img src="view/librerias/dist/img/logo_modasa.png" width="150">
                </td>
                <td rowspan="2" style="width: 60%; text-align: center; color: #7b7b7b;">
                   Directiva de Inspección e Informe de Servicio Técnico
                </td>
                <td style="width: 10%; text-align: left; color: #7b7b7b;  font-size: 7pt;">
                    Revisado <br> AD / RY / DP                 
                 </td>                
                <td style="width: 10%; text-align: left; color: #7b7b7b; font-size: 7pt;">
                     FC                 
                 </td>
            </tr>
            <tr>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt;">Aprobado <br> JD</td>
                <td style="text-align: left; color: #7b7b7b; font-size: 7pt">Revisión / Fecha</td>
            </tr>
        </table>
    </page_header>
    

<?php             
foreach ($datos as $r){
?>



        <table class="table" cellpadding="0" cellspacing="0">

            <tbody>
                <tr>
                    <th style="width: 10%">Cliente</th>
                    <td style="width: 10%"><?php echo utf8_decode($r['sInsCliente'] != "" ? $r['sInsCliente'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Producto</th>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($r['sInsProducto'] != "" ? $r['sInsProducto'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Motor</th>
                    <td style="width: 10%"></td>
                    <th style="width: 10%" class="active">Alternador</th>
                    <td style="width: 10%"></td>
                    <th style="width: 10%" class="active">Fecha</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsFecha'] != "" ? $r['dInsFecha'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Código Cliente</th>                    
                    <td style="width: 10%"><?php echo $r['sInsCodCliente'] != "" ? strtoupper($r['sInsCodCliente']) : '-'; ?></td>
                    <th style="width: 10%">Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsSerie'] != "" ? $r['sInsSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Marca del Motor</th>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($r['sInsMotorMarca'] != "" ? $r['sInsMotorMarca'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Marca del Alternador</th>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($r['sInsAlternadorMarca'] != "" ? $r['sInsAlternadorMarca'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Hora de Inicio</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsHoraInicio'] != "" ? $r['dInsHoraInicio'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Código de Equipo</th>                    
                    <td style="width: 10%"><?php echo $r['sInsCodEquipo'] != "" ? strtoupper($r['sInsCodEquipo']) : '-'; ?></td>
                    <th style="width: 10%">Marca</th>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($r['sInsMarca'] != "" ? $r['sInsMarca'] : '-'); ?></td>
                    <th style="width: 10%" class="active">Nro Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMotorSerie'] != "" ? $r['sInsMotorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Nro Serie</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsAlternadorSerie'] != "" ? $r['sInsAlternadorSerie'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Hora Término</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['dInsHoraTermino'] != "" ? $r['dInsHoraTermino'] : '-'; ?></td>
                </tr>
                <tr>
                    <th style="width: 10%" class="active">Servicio</th>                    
                    <td style="width: 10%"><?php echo utf8_decode($r['sInsServicio'] != "" ? $r['sInsServicio'] : '-'); ?></td>
                    <th style="width: 10%">KW</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsKW'] != "" ? $r['sInsKW'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Lista de Partes</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsMotorListaPartes'] != "" ? $r['sInsMotorListaPartes'] : '-'; ?></td>
                    <th style="width: 10%" class="active">KW</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsAlternadorKW'] != "" ? $r['sInsAlternadorKW'] : '-'; ?></td>
                    <th style="width: 10%" class="active">Técnico</th>
                    <td style="width: 10%"><?php echo utf8_decode($r['sInsTecnicoResponsable'] != "" ? $r['sInsTecnicoResponsable'] : '-'); ?></td>
                    </tr>

                <tr>
                    <th style="width: 10%" class="active"></th>                    
                    <td style="width: 10%"></td>
                    <th style="width: 10%">Horómetro</th>
                    <td style="width: 10%; text-align: center;"><?php echo $r['sInsHorometro'] != "" ? $r['sInsHorometro'] : '-'; ?></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                    <td style="width: 10%"></td>
                </tr>
            </tbody>
        </table> 
        <br>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">EVALUACIÓN MECÁNICA</th>         
                </tr>
            </tbody>
            
        </table>


        <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>
                <tr>
                    <th style="width: 5%"; text-align: center;" class="active">No</th> 
                    <th style="width: 25%" class="active">Descripción</th> 
                    <th style="width: 5%; text-align: center;" class="active">Reem.</th> 
                    <th style="width: 5%; text-align: center;" class="active">Oper.</th> 
                    <th style="width: 5%; text-align: center;" class="active">Prog.</th> 
                    <th style="width: 5%; text-align: center;" class="active">Corr.</th>
                    <th style="width: 10%; text-align: center;"class="active">Cantidad</th> 
                    <th style="width: 10%; text-align: center;"class="active">N° Parte</th>
                    <th  style="width: 10%; text-align: center;"class="active">Fecha</th>
                    <th style="width: 20%; text-align: center;"class="active">Observación</th>
                </tr>     
            </tbody>
        </table>
        <!-- Listar Sistemas -->
        <?php             
        foreach ($sistemas as $s){
        // para sistemas tipo 1 
        if ($s['nSisTipo'] ==  1) { 
                
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%; text-align: center;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>                    
                </tr>
            </tbody>
        </table>
                <!-- Listar Preguntas -->
        <?php             
        foreach ($detalle1 as $d){
            // Para cada registro comparar
            if ($d['Sistema_Id'] ==  $s['Sistema_Id']) {
        ?>
            <!-- este es el detalle que quiero mostrar-->
            <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>
                <tr>
                    <td style="width: 5%; text-align: center;"><p id="nPreOrden">
                    <?php echo $d['nPreOrden'] != "" ? $d['nPreOrden'] : '-'; ?></p></td> 
                    <td style="width: 25%"><p id="sPreDescripcion">
                    <?php echo $d['sPreDescripcion'] != "" ? $d['sPreDescripcion'] : '-'; ?></p></td> 
                    <td style="width: 5%; background: #dadcd9; text-align: center;"><p id="Reemplazado">
                    <?php echo $d['Reemplazado'] != "" ? $d['Reemplazado'] : '-'; ?></p></td> 
                    <td style="width: 5%; background: #6cfc58; text-align: center;" ><p id="Operativo">
                    <?php echo $d['Operativo'] != "" ? $d['Operativo'] : '-'; ?></p></td> 
                    <td style="width: 5%; background: #f8ff85; text-align: center;"><p id="Programar">
                    <?php echo $d['Programar'] != "" ? $d['Programar'] : '-'; ?></p></td> 
                    <td style="width: 5%; background: #fe5d5d; text-align: center;"><p id="Correctivo">
                    <?php echo $d['Correctivo'] != "" ? $d['Correctivo'] : '-'; ?></p></td>
                    <td style="width: 10%; text-align: center;"><p id="nPreCantidad">
                    <?php echo $d['nPreCantidad'] != "" ? $d['nPreCantidad'] : '-'; ?></p></td> 
                    <td style="width: 10%; text-align: center;"><p id="nPreNroParte">
                    <?php echo $d['nPreNroParte'] != "" ? $d['nPreNroParte'] : '-'; ?></p></td>
                    <td style="width: 10%; text-align: center;"><p id="sPreFecha">
                    <?php echo $d['sPreFecha'] != "" ? $d['sPreFecha'] : '-'; ?></p></td>
                    <td style="width: 20%; text-align: center;"><p id="sPreObservaciones">
                    <?php echo utf8_decode($d['sPreObservaciones'] != "" ? $d['sPreObservaciones'] : '-'); ?></p></td>
                </tr>     
            </tbody>                    
            </table>
        <?php             
            }
        } //fin de recorrer preguntas o detalle
        } //fin de condición sistemas tipo 1
        } //fin recorrer sistemas
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">EVALUACIÓN ELECTRICA</th>         
                </tr>
            </tbody>
            
        </table>

        <!-- Listar Sistemas -->
        <?php             
        foreach ($sistemas as $s){
        // para sistemas tipo 2 
        // -----------------------------------------------------------
        //          MEGADO DEL ALTERNADOR
        // -----------------------------------------------------------

        if ($s['nSisTipo'] ==  2) { 
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%; text-align: center;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>                    
                </tr>
            </tbody>
        </table>
        <?php   
        } //fin de condición sistemas tipo 2
        } //fin recorrer sistemas
                  
        foreach ($detalle2 as $d2){            
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 40%" class="active">Megometro  selección de voltaje de prueba </th> 
                    <th style="width: 7.5%; text-align: center;" class="active">500 VDC</th> 
                    <td style="width: 7.5%; text-align: center;" ><?php echo $d2['quinientos'] != "" ? $d2['quinientos'] : '-'; ?></td>
                    <th style="width: 7.5%; text-align: center;" class="active">1000 VDC</th> 
                    <td style="width: 7.5%; text-align: center;" ><?php echo $d2['mil'] != "" ? $d2['mil'] : '-'; ?></td>
                    <th style="width: 10%; text-align: center;"class="active">Serie de Meger:</th> 
                    <td style="width: 20%; text-align: center;" ><?php echo $d2['sMegSerie'] != "" ? $d2['sMegSerie'] : '-'; ?></td>                        
                </tr>                
            </tbody>
        </table>

       
         <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%" class="active">Bobina / Vs </th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T1</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T2</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T3</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T7</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T8</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">T9</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">Tierra</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">Valor de Servicio</th> 
                    <th style="width: 20%; text-align: center;" class="active">Observaciones</th>                     
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T1</th> 
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1T2'] != "" ? $d2['nMegT1T2'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1T3'] != "" ? $d2['nMegT1T3'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1T7'] != "" ? $d2['nMegT1T7'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1T8'] != "" ? $d2['nMegT1T8'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1T9'] != "" ? $d2['nMegT1T9'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1Trr'] != "" ? $d2['nMegT1Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT1Val'] != "" ? $d2['nMegT1Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT1Obs'] != "" ? $d2['sMegT1Obs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T2</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2T1'] != "" ? $d2['nMegT2T1'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2T3'] != "" ? $d2['nMegT2T3'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2T7'] != "" ? $d2['nMegT2T7'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2T8'] != "" ? $d2['nMegT2T8'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2T9'] != "" ? $d2['nMegT2T9'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2Trr'] != "" ? $d2['nMegT2Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT2Val'] != "" ? $d2['nMegT2Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT2Obs'] != "" ? $d2['sMegT2Obs'] : '-'); ?></td>             
                </tr>
               <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T3</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3T1'] != "" ? $d2['nMegT3T1'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3T2'] != "" ? $d2['nMegT3T2'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3T7'] != "" ? $d2['nMegT3T7'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3T8'] != "" ? $d2['nMegT3T8'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3T9'] != "" ? $d2['nMegT3T9'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3Trr'] != "" ? $d2['nMegT3Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT3Val'] != "" ? $d2['nMegT3Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT3Obs'] != "" ? $d2['sMegT3Obs'] : '-'); ?></td>             
                </tr>
                 <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T7</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7T1'] != "" ? $d2['nMegT7T1'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7T2'] != "" ? $d2['nMegT7T2'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7T3'] != "" ? $d2['nMegT7T3'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7T8'] != "" ? $d2['nMegT7T8'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7T9'] != "" ? $d2['nMegT7T9'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7Trr'] != "" ? $d2['nMegT7Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT7Val'] != "" ? $d2['nMegT7Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT7Obs'] != "" ? $d2['sMegT7Obs'] : '-'); ?></td>             
                </tr>
                 <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T8</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8T1'] != "" ? $d2['nMegT8T1'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8T2'] != "" ? $d2['nMegT8T2'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8T3'] != "" ? $d2['nMegT8T3'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8T7'] != "" ? $d2['nMegT8T7'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8T9'] != "" ? $d2['nMegT8T9'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8Trr'] != "" ? $d2['nMegT8Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT8Val'] != "" ? $d2['nMegT8Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT8Obs'] != "" ? $d2['sMegT8Obs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">T9</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9T1'] != "" ? $d2['nMegT9T1'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9T2'] != "" ? $d2['nMegT9T2'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9T3'] != "" ? $d2['nMegT9T3'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9T7'] != "" ? $d2['nMegT9T7'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9T8'] != "" ? $d2['nMegT9T8'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9Trr'] != "" ? $d2['nMegT9Trr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegT9Val'] != "" ? $d2['nMegT9Val'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegT9Obs'] != "" ? $d2['sMegT9Obs'] : '-'); ?></td>             
                </tr>                           
            </tbody>
        </table>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Estator de excitatriz</th> 
                    <td style="width: 45%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegEstExcTrr'] != "" ? $d2['nMegEstExcTrr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegEstExcVal'] != "" ? $d2['nMegEstExcVal'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegEstExcObs'] != "" ? $d2['sMegEstExcObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Rotor de principal</th> 
                    <td style="width: 45%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegRotPplTrr'] != "" ? $d2['nMegRotPplTrr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegRotPplVal'] != "" ? $d2['nMegRotPplVal'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegRotPplObs'] != "" ? $d2['sMegRotPplObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Rotor de excitatriz</th> 
                    <td style="width: 45%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegRotExcTrr'] != "" ? $d2['nMegRotExcTrr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegRotExcVal'] != "" ? $d2['nMegRotExcVal'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegRotExcObs'] != "" ? $d2['sMegRotExcObs'] : '-'); ?></td>             
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">PMG</th> 
                    <td style="width: 45%; text-align: center;" class="active"></td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegPgmTrr'] != "" ? $d2['nMegPgmTrr'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d2['nMegPgmVal'] != "" ? $d2['nMegPgmVal'] : '-'; ?></td>
                    <td style="width: 20%; text-align: center;" ><?php echo utf8_decode($d2['sMegPgmObs'] != "" ? $d2['sMegPgmObs'] : '-'); ?></td>             
                </tr>
            </tbody>
        </table>   
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Recomendaciones</th> 
                    <td style="width: 80%; text-align: left;"><?php echo utf8_decode($d2['sMegObservacion'] != "" ? $d2['sMegObservacion'] : '-'); ?></td>                                 
                </tr>
            </tbody>
        </table>
        
         <?php             
            }
        ?>

        <div class="page-break-after">
            
            <br><br>
        </div>


        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%">Evaluación de Diodos</th>         
                </tr>
            </tbody>
            
        </table>

         <!-- Listar Sistemas -->
        <?php
        foreach ($detalle2diodos as $d2d){
        // Prueba de Dioso
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Diodos</th> 
                    <th style="width: 15%; text-align: center;">1</th> 
                    <th style="width: 15%; text-align: center;">2</th> 
                    <th style="width: 15%; text-align: center;">3</th> 
                    <th style="width: 15%; text-align: center;">Valor</th> 
                    <th style="width: 20%; text-align: center;"></th> 
                        
                </tr>
                <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Directo</th> 
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sDirecto01'] != "" ? $d2d['sDirecto01'] : '-'; ?></td>
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sDirecto02'] != "" ? $d2d['sDirecto02'] : '-'; ?></td>
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sDirecto03'] != "" ? $d2d['sDirecto03'] : '-'; ?></td>
                    <th style="width: 15%; text-align: center;">0.469</th> 
                    <th style="width: 20%; text-align: center;"></th> 
                </tr>
                 <tr>
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Inverso</th> 
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sInverso01'] != "" ? $d2d['sInverso01'] : '-'; ?></td>
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sInverso02'] != "" ? $d2d['sInverso02'] : '-'; ?></td>
                    <td style="width: 15%; text-align: center;"><?php echo $d2d['sInverso03'] != "" ? $d2d['sInverso03'] : '-'; ?></td>
                    <th style="width: 15%; text-align: center;">0.469</th> 
                    <th style="width: 20%; text-align: center;"></th> 
                </tr>
                
            </tbody>
        </table>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>    
                    <th style="width: 5%" class="active"></th> 
                    <th style="width: 15%; text-align: center;">Varistor</th> 
                    <td style="width: 45%; text-align: center;"><?php echo $d2d['sVaristor'] != "" ? $d2d['sVaristor'] : '-'; ?></td>
                    <th style="width: 15%; text-align: center;">Infinito</th> 
                    <th style="width: 20%; text-align: center;"></th> 
                </tr>
             </tbody>
        </table>

         <?php   
        } //fin de recorrer diodos
        ?>



        <!-- Listar Sistemas -->
        <?php             

        foreach ($sistemas as $s){
        // para sistemas tipo 2 
        // -----------------------------------------------------------
        //          PRUEBA DE CARGA
        // -----------------------------------------------------------
        if ($s['nSisTipo'] ==  3) { 
        ?>
        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%; text-align: center;"><p id="sSisNombre">
                        <?php echo $s['sSisNombre'] != "" ? $s['sSisNombre'] : '-'; ?></p></th>                    
                </tr>
            </tbody>
        </table>

         <?php   
        } //fin de condición sistemas tipo 2
        } //fin recorrer sistemas
                  
        foreach ($detalle3 as $d3){            
        ?>
        <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active"></th> 
                    <th style="width: 25%" class="active">Registro de  datos</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">Inicio</th> 
                    <td style="width: 7.5%; text-align: center;" ><?php echo $d3['sPruHoraIni'] != "" ? $d3['sPruHoraIni'] : '-'; ?></td> 
                    <th style="width: 7.5%; text-align: center;" class="active">Termino</th> 
                    <td style="width: 7.5%; text-align: center;" ><?php echo $d3['sPruHoraTer'] != "" ? $d3['sPruHoraTer'] : '-'; ?></td>
                    <th style="width: 7.5%; text-align: center;"class="active">Fases RST</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruFasesRST'] != "" ? $d3['sPruFasesRST'] : '-'; ?></td>
                    <th style="width: 7.5%; text-align: center;"class="active"></th>
                    <th style="width: 7.5%; text-align: center;"class="active"></th>
                    <th style="width: 10%; text-align: center;"class="active"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active"></th> 
                    <th style="width: 25%" class="active">Registros</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">0%</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">25%</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">50%</th> 
                    <th style="width: 7.5%; text-align: center;" class="active">75%</th>
                    <th style="width: 7.5%; text-align: center;"class="active">100%</th> 
                    <th style="width: 7.5%; text-align: center;"class="active">110%</th>
                    <th style="width: 7.5%; text-align: center;"class="active">Tiempo</th>
                    <th style="width: 7.5%; text-align: center;"class="active">Valor Servicio</th>
                    <th style="width: 10%; text-align: center;"class="active">Observación</th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active"></th> 
                    <th style="width: 25%" class="active">Set point</th> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet00'] != "" ? $d3['sPruSet00'] : '-'; ?> Kw</td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet25'] != "" ? $d3['sPruSet25'] : '-'; ?> Kw</td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet50'] != "" ? $d3['sPruSet50'] : '-'; ?> Kw</td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet75'] != "" ? $d3['sPruSet75'] : '-'; ?> kw</td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet100'] != "" ? $d3['sPruSet100'] : '-'; ?> Kw</td> 
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruSet110'] != "" ? $d3['sPruSet110'] : '-'; ?> Kw</td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['nPruTiempo'] != "" ? $d3['nPruTiempo'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3['sPruValor'] != "" ? $d3['sPruValor'] : '-'; ?></td>
                    <td style="width: 10%; text-align: center;"><?php echo utf8_decode($d3['sPruObservaciones'] != "" ? $d3['sPruObservaciones'] : '-'); ?></td>
                </tr>
              </tbody>
        </table>  

            <?php   
        } //fin de recorrer primer detalle
        ?>
        <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
            <tbody>        
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">1</th> 
                    <th style="width: 25%" class="active">Voltaje de generación línea</th> 

                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a primera pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet01'] != "null" ? $d3d['sPruDet01'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">2</th> 
                    <th style="width: 25%" class="active">Amperios</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet02'] != "null" ? $d3d['sPruDet02'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">3</th> 
                    <th style="width: 25%" class="active">Factor de potencia   Cos </th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet03'] != "null" ? $d3d['sPruDet03'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">4</th> 
                    <th style="width: 25%" class="active">Potencia Activa   KW</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet04'] != "null" ? $d3d['sPruDet04'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">5</th> 
                    <th style="width: 25%" class="active">Frecuencia   HZ</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet05'] != "null" ? $d3d['sPruDet05'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">6</th> 
                    <th style="width: 25%" class="active">Revoluciones de motor  RPM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet06'] != "null" ? $d3d['sPruDet06'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">7</th> 
                    <th style="width: 25%" class="active">Presión de lubricación  (Bar)</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet07'] != "null" ? $d3d['sPruDet07'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">8</th> 
                    <th style="width: 25%" class="active">Temperatura de refrigerante             (Cº)   </th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet08'] != "null" ? $d3d['sPruDet08'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">9</th> 
                    <th style="width: 25%" class="active">Temperatura parte superior de radiador</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet09'] != "null" ? $d3d['sPruDet09'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">10</th> 
                    <th style="width: 25%" class="active">Temperatura parte baja  de radiador</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet10'] != "null" ? $d3d['sPruDet10'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">11</th> 
                    <th style="width: 25%" class="active">Presión Turbo                                            (Bar)*  ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet11'] != "null" ? $d3d['sPruDet11'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">12</th> 
                    <th style="width: 25%" class="active">Presión atm                                                 (Bar)* ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet12'] != "null" ? $d3d['sPruDet12'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">13</th> 
                    <th style="width: 25%" class="active">Temperatura de combustible            (Cº)   ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet13'] != "null" ? $d3d['sPruDet13'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">14</th> 
                    <th style="width: 25%" class="active">Temperatura admisión de motor     (Cº)    ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet14'] != "null" ? $d3d['sPruDet14'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">15</th> 
                    <th style="width: 25%" class="active">Temperatura de aceite de motor    (Cº)   ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet15'] != "null" ? $d3d['sPruDet15'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">16</th> 
                    <th style="width: 25%" class="active">Comunicación CAM                                           ECM</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet16'] != "null" ? $d3d['sPruDet16'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">17</th> 
                    <th style="width: 25%" class="active">Presión  de Carter</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet17'] != "null" ? $d3d['sPruDet17'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">18</th> 
                    <th style="width: 25%" class="active">Prueba de protecciones  por Temperatura</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet18'] != "null" ? $d3d['sPruDet18'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">19</th> 
                    <th style="width: 25%" class="active">Prueba de protecciones  por  baja presión de aceite</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet19'] != "null" ? $d3d['sPruDet19'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active">20</th> 
                    <th style="width: 25%" class="active">Prueba de protecciones  por bajo nivel de refrigerante</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo $d3d['sPruDet20'] != "null" ? $d3d['sPruDet20'] : '-'; ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
                <tr>
                    <th style="width: 5%; text-align: center;" class="active"></th> 
                    <th style="width: 25%" class="active">Observaciones</th> 
                    <?php
                    foreach ($detalle3detalle as $d3d){  //recorre los datos para a segunda pregunta
                    ?>
                    <td style="width: 7.5%; text-align: center;"><?php echo utf8_decode($d3d['sPruDetObs'] != "null" ? $d3d['sPruDetObs'] : '-'); ?></td> 
                    <?php   
                    } //fin de for
                    ?>
                    <th style="width: 25%; text-align: center;"></th>
                </tr>
            </tbody>
        </table>  

        <!-- Listar Preguntas prueba de carga-->
         <?php             
            }
        ?>

        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <tr>
                    <th style="width: 100%; text-align: center;">CONFORMIDAD DE CLIENTE</th>                    
                </tr>
                <tr>
                    <?php 
                        $archivo = RUTA_IMG . "/".$r['Inspeccion_Id'] ."-firma.jpg";
                        $archivo_final = $archivo;
                        if(!file_exists($archivo)){
                            $archivo_final = RUTA_IMG . "/none.jpg";
                        }
                    ?>
                    <td style="width: 100%; text-align: center;"><img src="<?=$archivo_final?>" width="200" height="100"> </td>

                </tr>
                <tr>
                    <td style="width: 100%; text-align: center;"><?php echo utf8_decode($r['sInsRepresentante'] != "" ? $r['sInsRepresentante'] : '-'); ?></td></tr>
                <tr>
                    <td style="width: 100%; text-align: center;"><?php echo utf8_decode($r['sInsRepCargo'] != "" ? $r['sInsRepCargo'] : '-'); ?></td>                                        
                </tr>

            </tbody>
        </table>



         <?php   
        foreach ($preguntas as $p){            
        ?>


        <table class="table" cellpadding="0" cellspacing="0">
            <tbody>
                <?php 
                    $archivo = RUTA_IMG . "/".$r['Inspeccion_Id'] ."-".$p['Pregunta_Id'].".jpg";
                    $archivo_final = $archivo;
                    if(file_exists($archivo)){
                    ?>
                    <tr>
                        <th style="width: 100%; text-align: center;">Foto Anexa: <?php echo $p['sSisNombre'] != "" ? $p['sSisNombre']." - ".$p['sPreDescripcion'] : '-'; ?></th>                    
                    </tr>
                    <tr>
                        <td style="width: 100%; text-align: center;"><img src="<?=$archivo_final?>" width="300" height="200"> </td>

                    </tr>
                <?php 
                    }
                ?>
            </tbody>
        </table>

         <?php   
        }        
        ?>


        
        

    </bookmark>    
</page>

<?php

?>
<?php
//die();
    $content = ob_get_clean();

    require_once('view/librerias/html2pdf/html2pdf.class.php');
    try
    {
        $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 0);
        $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
//        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
        $html2pdf->Output('protocologe-'.(date('dmYhmi')).'.pdf');
    }
    catch(HTML2PDF_exception $e) {
        echo $e;
        exit;
    }
