<?php

/**
 * HTML2PDF Librairy - example
 *
 * HTML => PDF convertor
 * distributed under the LGPL License
 *
 * @author      Laurent MINGUET <webmaster@html2pdf.fr>
 *
 * isset($_GET['vuehtml']) is not mandatory
 * it allow to display the result in the HTML format
 */
header('Content-type: text/html; charset=UTF-8');
ob_start();
?>
<style type="text/css">
    table.page_header {
        width: 93%;
        border: none;
        padding: 3mm 4mm;
        margin: 5px 2px 0px 23px;
    }

    table.page_header tr td {
        border: 0.1mm solid #000;
    }

    table.page_footer {
        width: 100%;
        border: none;
        border-top: solid 0.1mm #E6892F;
        padding: 3mm 4mm
    }

    .title {
        width: 100%;
        border: none;
        border-bottom: solid 0.1mm #E6892F;
        padding-bottom: 4mm;
    }

    h1 {
        color: #000033
    }

    h2 {
        color: #000055
    }

    h3 {
        color: #000077
    }

    h4 {
        margin: 0px;
    }

    div.niveau {
        padding-left: 5mm;
    }

    .table {
        width: 100%;
    }

    .table thead tr th,
    .table tr th {
        padding-bottom: 0px;
        padding-top: 0px;
        background: #efefef;
    }

    .table tbody tr td,
    .table tbody tr th {
        font-size: 11px;
        border: 0.1mm solid #000;
        margin: 0px;
        padding: 0px 0px;
    }

    hr {
        border: 0.2mm solid #A7A7A7;
        margin-bottom: 5px;
        margin-top: 0px;
    }

    h5 {
        margin: 0px;
        text-align: left;
    }

    p {
        margin: 0px;
        padding: 0px;
    }

    .no-border thead tr td,
    .no-border thead tr th,
    .no-border tbody tr td,
    .no-border tbody tr th {
        border: 0px solid black;
    }

    .text-center tbody tr td {
        text-align: center;
    }

    .text-center tbody tr td p,
    .text-center tbody tr th p {
        margin: auto;
        width: 100%;
        background: red;
        text-align: center !important;
    }

    td.active {
        background: #efefef;
        text-align: center;
    }
</style>

<page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
    <bookmark title="Sommaire" level="0">
        <page_header>
            <table class="page_header" cellpadding="0" cellspacing="0">
                <tr>
                    <td style="width: 20%; text-align: left" rowspan="2">
                        <img src="view/librerias/dist/img/logo_modasa.png" width="150">
                    </td>
                    <td rowspan="2" style="width: 58%; text-align: center; color: #7b7b7b;">
                        INFORME TÉCNICO DE SERVICIO
                    </td>
                    <td style="width: 10%; text-align: center; color: #7b7b7b;  font-size: 8pt;">
                        Revisado <br> RY
                    </td>
                    <td style="width: 10%; text-align: center; color: #7b7b7b; font-size: 8pt;">
                        FC-02-09
                    </td>
                </tr>
                <tr>
                    <td style="text-align: center; color: #7b7b7b; font-size: 8pt;">Aprobado <br> JD</td>
                    <td style="text-align: center; color: #7b7b7b; font-size: 8pt">Revisión / Fecha<br>04/05.06.20 </td>
                </tr>
            </table>
        </page_header>


        <?php
        foreach ($datos as $r) {
        ?>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 15%; padding-left: 2px" class="active">Equipo</th>
                        <td style="width: 55%; padding-left: 2px;"><?php echo $r->__get('sEqActivoFijo') != "" ? $r->__get('sEqActivoFijo') : '-'; ?></td>
                        <th style="width: 10%; padding-left: 2px">Serie</th>
                        <td style="width: 20%; text-align: center;"><?php echo $r->__get('sEqSerie') != "" ? $r->__get('sEqSerie') : '-'; ?></td>
                    </tr>
                    <tr>
                        <th style="width: 15%; padding-left: 2px" class="active">Modelo</th>
                        <td style="width: 55%; padding-left: 2px"><?php echo $r->__get('sEqModelo') != "" ? $r->__get('sEqModelo') : '-'; ?></td>
                        <th style="width: 10%; padding-left: 2px">Tipo</th>
                        <td style="width: 20%; text-align: center;"><?php echo $r->__get('Tipo') != "" ? $r->__get('Tipo') : '-'; ?></td>
                    </tr>
                    <tr>
                        <th style="width: 15%; padding-left: 2px;">Horómetro</th>
                        <td style="width: 55%; padding-left: 2px;"><?php echo $r->__get('sManOdometroActual') != "" ? $r->__get('sManOdometroActual') : '-'; ?></td>
                        <th style="width: 10%; padding-left: 2px" class="active">Fecha</th>
                        <td style="width: 20%; text-align: center;"><?php echo $r->__get('dManFecha_Act') != "" ? $r->__get('dManFecha_Act') : '-'; ?></td>
                    </tr>
                </tbody>
            </table>

            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 15%; padding-left: 2px" class="active">Técnico</th>
                        <td style="width: 85%; padding-left: 2px"><?php echo $r->__get('Usuario') != "" ? $r->__get('Usuario') : '-'; ?></td>
                    </tr>
                </tbody>
            </table>



            <br>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 100%">EVALUACIÓN MECÁNICA</th>
                    </tr>
                </tbody>
            </table>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <td style="width: 100%; font-size: 10pt;">Leyenda</td>
                    </tr>
                </tbody>
            </table>

            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <td style="width: 12.5%; padding-left: 2px;">Se reemplazó</td>
                        <td style="width: 12.5%; background-color: #dadcd9;"></td>
                        <td style="width: 12.5%; padding-left: 2px;">Revisado Operativo</td>
                        <td style="width: 12.5%; background-color: #6cfc58;"></td>
                        <td style="width: 12.5%; padding-left: 2px;">Requiere Atención próximo servicio</td>
                        <td style="width: 12.5%; background-color: #f8ff85;"></td>
                        <td style="width: 12.5%; padding-left: 2px;">Requiere atención inmediata</td>
                        <td style="width: 12.5%; background-color: #f9b2b2;"></td>
                    </tr>
                </tbody>
            </table>
            <br>

            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 40%; text-align: left;" rowspan="5"></th>
                        <th style="width: 5%; text-align: center;  font-size: 8pt;" class="active">Tipo</th>
                        <th style="width: 5%; text-align: center;font-size: 8pt;" class="active">Cant.</th>
                        <th style="width: 11%; text-align: center; font-size: 8pt;" class="active">N° Parte</th>
                        <th style="width: 12%; text-align: center; font-size: 8pt;" class="active">Fecha</th>
                        <th style="width: 27%; text-align: center; font-size: 8pt;" class="active">Observación</th>
                    </tr>
                </tbody>
            </table>

        <!-- TODO: Lista ev mecacnica -->
            <?php
                $groupedItems = [];

                foreach ($items as $item) {
                    $groupedItems[$item->sSisNombre][] = $item;
                }

                foreach ($groupedItems as $sisNombre => $group) {
                    $index = 1;

                ?>
                    <table class="table" cellpadding="0" cellspacing="0">
                        <tbody>
                            <tr>
                                <th style="width: 100%; text-align: left;">
                                    <p id="sSisNombre">
                                        <?php echo $sisNombre ?>
                                    </p>
                                </th>
                            </tr>
                        </tbody>
                    </table>
                            <?php
                                foreach($group as $value) {
                            ?>
                            <table class="table" cellpadding="0" cellspacing="0">
                                <tbody>
                                    <tr>
                                        <td style="width: 4%; text-align: center; font-size: 8pt;">
                                            <p id="nPreOrden">
                                                <?php echo $index ?></p>
                                        </td>
                                        <td style="width: 36%;  font-size: 8pt; padding-left: 2px;">
                                            <p id="sPreDescripcion">
                                                <?php echo $value->sTarNombre ?></p>
                                        </td>
                                        <td style="width: 5%; text-align: center; background-color: 
                                            <?php 
                                                if ($value->Reemplazado == 'X') {
                                                    echo "#dadcd9";
                                                }
                                                if ($value->Operativo == 'X') {
                                                    echo "#6cfc58";
                                                }
                                                if ($value->Programar == 'X') {
                                                    echo "#f8ff85";
                                                }
                                                if ($value->Correctivo == 'X') {
                                                    echo "#f9b2b2";
                                                }
                                            ?>                                           
                                        "
                                        
                                        
                                        >
                                        </td>
                                        <td style="width: 5%; text-align: center; font-size: 8pt;">
                                            <p id="nPreCantidad">
                                                <?php echo $value->nMDCantidad != "" ? $value->nMDCantidad : '-'; ?></p>
                                        </td>
                                        <td style="width: 11%; text-align: center; font-size: 8pt;">
                                            <p id="nPreNroParte">
                                                <?php echo $value->nMDParte != "" ? $value->nMDParte : '-'; ?></p>
                                        </td>
                                        <td style="width: 12%; text-align: center; font-size: 8pt;">
                                            <p id="sPreFecha">
                                                <?php echo $value->dMDFecha != "" ? $value->dMDFecha : '-'; ?></p>
                                        </td>
                                        <td style="width: 27%; text-align: center; font-size: 8pt;">
                                            <p id="sPreObservaciones">
                                                <?php echo $value->sMDObservacion != "" ? $value->sMDObservacion : '-'; ?></p>
                                            </td>
                                    </tr>
                                </tbody>
                            </table>
                            <?php
                                    $index++;
                                }
                            ?>

                        
                <?php
                }
            ?>
        <!-- TODO: FIN Lista ev mecacnica -->

        <!-- TODO: Evaluación electrica -->

            <br>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 100%">EVALUACIÓN ELECTRICA</th>
                    </tr>
                </tbody>

            </table>
            <br>

            <?php
                foreach ($detalle2 as $d2) {
            ?>

                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 32%" class="active">Megómetro [voltaje de prueba] </th>
                            <th style="width: 8%; text-align: center;" class="active">500 VDC</th>
                            <td style="width: 8%; text-align: center;"><?php echo $d2['quinientos'] != "" ? $d2['quinientos'] : '-'; ?></td>
                            <th style="width: 8%; text-align: center;" class="active">1000 VDC</th>
                            <td style="width: 8%; text-align: center;"><?php echo $d2['mil'] != "" ? $d2['mil'] : '-'; ?></td>
                            <th style="width: 12%; text-align: center; font-size: 8pt;" class="active">Serie de Meger:</th>
                            <td style="width: 24%; text-align: center;"><?php echo $d2['sMegSerie'] != "" ? $d2['sMegSerie'] : '-'; ?></td>
                        </tr>
                    </tbody>
                </table>


                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 8%; font-size: 8pt;" class="active">Bobina / Vs </th>
                            <th style="width: 8%; text-align: center;" class="active">T1</th>
                            <th style="width: 8%; text-align: center;" class="active">T2</th>
                            <th style="width: 8%; text-align: center;" class="active">T3</th>
                            <th style="width: 8%; text-align: center;" class="active">T7</th>
                            <th style="width: 8%; text-align: center;" class="active">T8</th>
                            <th style="width: 8%; text-align: center;" class="active">T9</th>
                            <th style="width: 8%; text-align: center;" class="active">Tierra</th>
                            <th style="width: 8%; text-align: center; font-size: 8pt; " class="active">V. Servicio</th>
                            <th style="width: 28%; text-align: center;" class="active">Observaciones</th>
                        </tr>
                        <tr>
                            <!--"M Ohm"-->
                            <th style="width: 8%; text-align: center;">T1</th>
                            <td style="width: 8%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1T2'] != "" ? $d2['nMegT1T2'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1T3'] != "" ? $d2['nMegT1T3'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1T7'] != "" ? $d2['nMegT1T7'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1T8'] != "" ? $d2['nMegT1T8'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1T9'] != "" ? $d2['nMegT1T9'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1Trr'] != "" ? $d2['nMegT1Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT1Val'] != "" ? $d2['nMegT1Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT1Obs'] != "" ? $d2['sMegT1Obs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 8%; text-align: center;">T2</th>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2T1'] != "" ? $d2['nMegT2T1'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2T3'] != "" ? $d2['nMegT2T3'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2T7'] != "" ? $d2['nMegT2T7'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2T8'] != "" ? $d2['nMegT2T8'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2T9'] != "" ? $d2['nMegT2T9'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2Trr'] != "" ? $d2['nMegT2Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT2Val'] != "" ? $d2['nMegT2Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT2Obs'] != "" ? $d2['sMegT2Obs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 8%; text-align: center;">T3</th>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3T1'] != "" ? $d2['nMegT3T1'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3T2'] != "" ? $d2['nMegT3T2'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3T7'] != "" ? $d2['nMegT3T7'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3T8'] != "" ? $d2['nMegT3T8'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3T9'] != "" ? $d2['nMegT3T9'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3Trr'] != "" ? $d2['nMegT3Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT3Val'] != "" ? $d2['nMegT3Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT3Obs'] != "" ? $d2['sMegT3Obs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 8%; text-align: center;">T7</th>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7T1'] != "" ? $d2['nMegT7T1'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7T2'] != "" ? $d2['nMegT7T2'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7T3'] != "" ? $d2['nMegT7T3'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7T8'] != "" ? $d2['nMegT7T8'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7T9'] != "" ? $d2['nMegT7T9'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7Trr'] != "" ? $d2['nMegT7Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT7Val'] != "" ? $d2['nMegT7Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT7Obs'] != "" ? $d2['sMegT7Obs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 8%; text-align: center;">T8</th>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8T1'] != "" ? $d2['nMegT8T1'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8T2'] != "" ? $d2['nMegT8T2'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8T3'] != "" ? $d2['nMegT8T3'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8T7'] != "" ? $d2['nMegT8T7'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8T9'] != "" ? $d2['nMegT8T9'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8Trr'] != "" ? $d2['nMegT8Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT8Val'] != "" ? $d2['nMegT8Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT8Obs'] != "" ? $d2['sMegT8Obs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 8%; text-align: center;">T9</th>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9T1'] != "" ? $d2['nMegT9T1'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9T2'] != "" ? $d2['nMegT9T2'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9T3'] != "" ? $d2['nMegT9T3'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9T7'] != "" ? $d2['nMegT9T7'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9T8'] != "" ? $d2['nMegT9T8'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9Trr'] != "" ? $d2['nMegT9Trr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegT9Val'] != "" ? $d2['nMegT9Val'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegT9Obs'] != "" ? $d2['sMegT9Obs'] : '-'; ?></td>
                        </tr>
                    </tbody>
                </table>
                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 16%; text-align: center;">Estator de excitatriz</th>
                            <td style="width: 40%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegEstExcTrr'] != "" ? $d2['nMegEstExcTrr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegEstExcVal'] != "" ? $d2['nMegEstExcVal'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegEstExcObs'] != "" ? $d2['sMegEstExcObs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 16%; text-align: center;">Rotor de principal</th>
                            <td style="width: 40%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegRotPplTrr'] != "" ? $d2['nMegRotPplTrr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegRotPplVal'] != "" ? $d2['nMegRotPplVal'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegRotPplObs'] != "" ? $d2['sMegRotPplObs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 16%; text-align: center;">Rotor de excitatriz</th>
                            <td style="width: 40%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegRotExcTrr'] != "" ? $d2['nMegRotExcTrr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegRotExcVal'] != "" ? $d2['nMegRotExcVal'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegRotExcObs'] != "" ? $d2['sMegRotExcObs'] : '-'; ?></td>
                        </tr>
                        <tr>
                            <th style="width: 16%; text-align: center;">PMG</th>
                            <td style="width: 40%; text-align: center;" class="active"></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegPgmTrr'] != "" ? $d2['nMegPgmTrr'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 8%; text-align: center; font-size: 8pt;"><?php echo $d2['nMegPgmVal'] != "" ? $d2['nMegPgmVal'] . " M Ohm" : '-'; ?></td>
                            <td style="width: 28%; text-align: center; font-size: 8pt;"><?php echo $d2['sMegPgmObs'] != "" ? $d2['sMegPgmObs'] : '-'; ?></td>
                        </tr>
                    </tbody>
                </table>
                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 16%; text-align: center;">Recomendaciones</th>
                            <td style="width: 84%; text-align: left; font-size: 8pt;"><?php echo $d2['sMegObservacion'] != "" ? $d2['sMegObservacion'] : '-'; ?></td>
                        </tr>
                    </tbody>
                </table>

            <?php
            }
            ?>

        <!-- TODO: FIN Evaluación electrica -->

        <!-- TODO: Evaluación diodos -->

            <br>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 100%">Evaluación Placa Rectificadora</th>
                    </tr>
                </tbody>

            </table>

            
            <?php
            foreach ($detalle2diodos as $d2d) {
            ?>
                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 20%; text-align: center;">Diodos</th>
                            <th style="width: 20%; text-align: center;">1</th>
                            <th style="width: 20%; text-align: center;">2</th>
                            <th style="width: 20%; text-align: center;">3</th>
                            <th style="width: 20%; text-align: center;">Valor</th>


                        </tr>
                        <tr>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">Directo</th>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sDirecto01'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sDirecto02'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sDirecto03'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">0.469</th>
                        </tr>
                        <tr>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">Inverso</th>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sInverso01'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sInverso02'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <td style="width: 20%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sInverso03'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">0.469</th>

                        </tr>

                    </tbody>
                </table>
                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <tr>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">Varistor</th>
                            <td style="width: 60%; text-align: center; font-size: 8pt;">
                                <?php echo $d2d['sVaristor'] != "OK" ? 'Inoperativo' : 'Operativo'; ?></td>
                            <th style="width: 20%; text-align: center; font-size: 8pt;">Infinito</th>

                        </tr>
                    </tbody>
                </table>

            <?php
            } //fin de recorrer diodos
            ?>

            <br>
        <!-- TODO: FIN Evaluación diodos -->

            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 100%">Prueba con carga de grupo electrógeno</th>
                    </tr>
                </tbody>

            </table>

            <?php
                foreach ($detalle3 as $d3) {
            ?>
                <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
                    <tbody>
                        <tr>
                            <th style="width: 4%; text-align: center; font-size: 8pt;" class="active"></th>
                            <th style="width: 30%; font-size: 8pt;">Registro de datos</th>
                            <th style="width: 11%; text-align: center;">Inicio</th>
                            <td style="width: 11%; text-align: center;"><?php echo $d3['sPruHoraIni'] != "" ? $d3['sPruHoraIni'] : '-'; ?></td>
                            <th style="width: 11%; text-align: center;">Termino</th>
                            <td style="width: 11%; text-align: center;"><?php echo $d3['sPruHoraTer'] != "" ? $d3['sPruHoraTer'] : '-'; ?></td>
                            <th style="width: 11%; text-align: center; font-size: 8pt;">Fases RST</th>
                            <td style="width: 11%; text-align: center;"><?php echo $d3['sPruFasesRST'] != "" ? $d3['sPruFasesRST'] : '-'; ?></td>
                            <!--
                    <th style="width: 7.5%; text-align: center;"></th>
                    <th style="width: 7.5%; text-align: center;"></th>
                    <th style="width: 10%; text-align: center;"></th>
                    -->
                        </tr>
                        <br>
                        <tr>
                            <th style="width: 4%; text-align: center;" class="active"></th>
                            <th style="width: 30%" class="active">Fases de Carga</th>
                            <th style="width: 11%; text-align: center;" class="active">0%</th>
                            <th style="width: 11%; text-align: center;" class="active">25%</th>
                            <th style="width: 11%; text-align: center;" class="active">50%</th>
                            <th style="width: 11%; text-align: center;" class="active">75%</th>
                            <th style="width: 11%; text-align: center;" class="active">100%</th>
                            <th style="width: 11%; text-align: center;" class="active">110%</th>
                            <!--
                    <th style="width: 7.5%; text-align: center;"class="active">Tiempo</th>
                    <th style="width: 7.5%; text-align: center; font-size: 8pt;"class="active">V. Servicio</th>
                    <th style="width: 10%; text-align: center;"class="active">Observación</th>
                    -->
                        </tr>
                        <tr>
                            <th style="width: 4%; text-align: center;" class="active"></th>
                            <th style="width: 30%" class="active">Set point - Kw</th>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet00'] != "" ? $d3['sPruSet00'] : '-'; ?> Kw</td>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet25'] != "" ? $d3['sPruSet25'] : '-'; ?> Kw</td>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet50'] != "" ? $d3['sPruSet50'] : '-'; ?> Kw</td>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet75'] != "" ? $d3['sPruSet75'] : '-'; ?> kw</td>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet100'] != "" ? $d3['sPruSet100'] : '-'; ?> Kw</td>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruSet110'] != "" ? $d3['sPruSet110'] : '-'; ?> Kw
                            </td>
                            <!--
                    <td style="width: 7.5%; text-align: center; font-size: 8pt;"><?php echo $d3['nPruTiempo'] != "" ? $d3['nPruTiempo'] : '-'; ?></td>
                    <td style="width: 7.5%; text-align: center; font-size: 8pt;"><?php echo $d3['sPruValor'] != "" ? $d3['sPruValor'] : '-'; ?></td>
                    <td style="width: 10%; text-align: center; font-size: 8pt;"><?php echo utf8_decode($d3['sPruObservaciones'] != "" ? $d3['sPruObservaciones'] : '-'); ?></td>
                    -->
                        </tr>
                    </tbody>
                </table>

            <?php
            } //fin de recorrer primer detalle
            ?>
            <table class="table" cellpadding="0" cellspacing="0" style="font-size: 9pt;">
                <tbody>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">1</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Voltaje de generación línea</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a primera pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet01'] != "null" ? $d3d['sPruDet01'] : '-'; ?></td>
                        <?php
                        }
                        ?>

                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">2</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Amperios</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet02'] != "null" ? $d3d['sPruDet02'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">3</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Factor de potencia Cos</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet03'] != "null" ? $d3d['sPruDet03'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">4</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Potencia Activa KW</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet04'] != "null" ? $d3d['sPruDet04'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">5</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Frecuencia Hz</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet05'] != "null" ? $d3d['sPruDet05'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">6</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Revoluciones de motor RPM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet06'] != "null" ? $d3d['sPruDet06'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">7</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Presión de lubricación (Bar)</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet07'] != "null" ? $d3d['sPruDet07'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">8</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura de refrigerante (Cº)</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet08'] != "null" ? $d3d['sPruDet08'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">9</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura parte superior de radiador</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet09'] != "null" ? $d3d['sPruDet09'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">10</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura parte baja de radiador</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet10'] != "null" ? $d3d['sPruDet10'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">11</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Presión Turbo (Bar)* ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet11'] != "null" ? $d3d['sPruDet11'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">12</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Presión atm (Bar)* ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet12'] != "null" ? $d3d['sPruDet12'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">13</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura de combustible (Cº) ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet13'] != "null" ? $d3d['sPruDet13'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">14</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura admisión de motor (Cº) ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet14'] != "null" ? $d3d['sPruDet14'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">15</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Temperatura de aceite de motor (Cº) ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet15'] != "null" ? $d3d['sPruDet15'] : '-'; ?></td>
                        <?php
                        } //fin de for
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">16</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Comunicación CAM ECM</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet16'] != "null" ? $d3d['sPruDet16'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">17</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Presión de Carter</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet17'] != "null" ? $d3d['sPruDet17'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">18</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Prueba de protecciones por Temperatura</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet18'] != "null" ? $d3d['sPruDet18'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">19</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Prueba de protec. por baja presión de aceite</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet19'] != "null" ? $d3d['sPruDet19'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <td style="width: 4%; text-align: center; font-size: 8pt;">20</td>
                        <td style="width: 30%; font-size: 8pt; padding-left: 2px;">Prueba de protec. por bajo nivel de refrig.</td>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDet20'] != "null" ? $d3d['sPruDet20'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>
                    <tr>
                        <th style="font-size: 8pt;" colspan="2">Observaciones</th>
                        <?php
                        foreach ($detalle3detalle as $d3d) {  //recorre los datos para a segunda pregunta
                        ?>
                            <td style="width: 11%; text-align: center; font-size: 8pt;"><?php echo $d3d['sPruDetObs'] != "null" ? $d3d['sPruDetObs'] : '-'; ?></td>
                        <?php
                        }
                        ?>
                    </tr>

                </tbody>
            </table>
            
            <!-- TODO: Firmas -->
            <br>
            <table class="table" cellpadding="0" cellspacing="0">
                <tbody>
                    <tr>
                        <th style="width: 50%; text-align: center;">Firma del Técnico</th>
                        <th style="width: 50%; text-align: center;">Firma del Cliente</th>
                    </tr>
                    <tr>
                        <td style="width: 50%; height: 102px; text-align: center;">
                            <img src="<?php echo $r->__get('sManFirmaTecnico') ?>" width="200" height="100">
                        </td>
                        <td style="width: 50%; height: 102px; text-align: center;">
                            <img src="<?php echo $r->__get('sManFirmaCliente') ?>" width="200" height="100" alt="">
                        </td>
                    </tr>
                </tbody>
            </table>
        <?php
        }
        ?>
        


    </bookmark>
</page>

<!-- Buscar si existe archivos para mandarlos a la siguiene pagina)-->
<?php
$contador = 0;
// foreach ($preguntas as $p) {
//     $archivo = RUTA_IMG . "/" . $r['Inspeccion_Id'] . "-" . $p['Pregunta_Id'] . ".jpg";
//     $archivo_final = $archivo;
//     if (file_exists($archivo)) {
//         $contador += 1;
//     }
// }
if ($contador > 0) {
?>

    <!-- Buscar si existe archivos para mandarlos a la siguiene pagina)-->



    <page backtop="20mm" backbottom="20mm" backleft="10mm" backright="10mm" style="font-size: 11pt;">
        <bookmark title="Sommaire" level="0">
            <page_header>
                <table class="page_header" cellpadding="0" cellspacing="0">
                    <tr>
                        <td style="width: 20%; text-align: left" rowspan="2">
                            <!-- <img src="view/librerias/dist/img/logo_modasa.png" width="150"> -->
                        </td>
                        <td rowspan="2" style="width: 60%; text-align: center; color: #7b7b7b;">
                            Directiva de Inspección e Informe de Servicio Técnico
                        </td>
                        <td style="width: 10%; text-align: left; color: #7b7b7b;  font-size: 8pt;">
                            Revisado <br> AD / RY / DP
                        </td>
                        <td style="width: 10%; text-align: left; color: #7b7b7b; font-size: 8pt;">
                            FC
                        </td>
                    </tr>
                    <tr>
                        <td style="text-align: left; color: #7b7b7b; font-size: 8pt;">Aprobado <br> JD</td>
                        <td style="text-align: left; color: #7b7b7b; font-size: 8pt">Revisión / Fecha</td>
                    </tr>
                </table>
            </page_header>
            <?php
            foreach ($preguntas as $p) {
            ?>

                <table class="table" cellpadding="0" cellspacing="0">
                    <tbody>
                        <?php
                        $archivo = RUTA_IMG . "/" . $r['Inspeccion_Id'] . "-" . $p['Pregunta_Id'] . ".jpg";
                        $archivo_final = $archivo;
                        if (file_exists($archivo)) {
                        ?>
                            <tr>
                                <th style="width: 100%; text-align: center;">Foto Anexa: <?php echo $p['sSisNombre'] != "" ? $p['sSisNombre'] . " - " . $p['sPreDescripcion'] : '-'; ?></th>
                            </tr>
                            <tr>
                                <td style="width: 100%; text-align: center;"><img src="<?= $archivo_final ?>" width="340" height="227"> </td>

                            </tr>
                        <?php
                        }
                        ?>
                    </tbody>
                </table>

            <?php
            }
            ?>

            <!-- Imágenes Repuesto -->
            <table class="table" cellpadding="0" cellspacing="0">

                <tbody>
                    <?php for ($i = 0; $i < count($repuestos); $i++) {
                        $tiene_foto1 = isset($repuestos[$i]->sInsSugFoto1) ? '<img src="./sugerencias_fotos/' . $repuestos[$i]->sInsSugFoto1 . '" width="340" height="227">' : '';
                        $tiene_foto2 = isset($repuestos[$i]->sInsSugFoto2) ? '<img src="./sugerencias_fotos/' . $repuestos[$i]->sInsSugFoto2 . '" width="340" height="227">' : '';


                    ?>
                        <tr>
                            <th style="width: 50%;text-align: center;">Foto Anexa Repuesto Complementario: <?= $repuestos[$i]->nInsSugCodigo ?></th>
                            <th style="width: 50%;text-align: center;">Foto Anexa Repuesto Complementario: <?= $repuestos[$i]->nInsSugCodigo ?></th>
                        </tr>
                        <tr>
                            <td style="width: 50%; text-align:center;"><?= $tiene_foto1 ?></td>
                            <td style="width: 50%; text-align:center;"><?= $tiene_foto2 ?></td>

                        </tr>

                    <?php } ?>

                </tbody>
            </table>
            <!-- Imágenes Repuesto -->
        </bookmark>
    </page>

<?php
}
?>
<!-- Fin de Pagina de Fotos -->


<?php
//die();
$content = ob_get_clean();

require_once('view/librerias/html2pdf/html2pdf.class.php');
try {
    $html2pdf = new HTML2PDF('P', 'A4', 'es', true, 'UTF-8', 0);
    $html2pdf->writeHTML($content, isset($_GET['vuehtml']));
    //        $html2pdf->createIndex('Sommaire', 25, 12, false, true, 1);
    $html2pdf->Output('protocologe-' . (date('dmYhmi')) . '.pdf');
} catch (HTML2PDF_exception $e) {
    echo $e;
    exit;
}
